<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright 2004 The Apache Software Foundation

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

  $Id: project.xml,v 1.6 2005/12/22 22:44:27 shinsuke Exp $
-->

<project>

  <pomVersion>3</pomVersion>
  <groupId>pal</groupId>
  <artifactId>bridges-myfaces</artifactId>
  <currentVersion>0.5</currentVersion>
  <name>MyFaces Bridges</name>
  <description>This bridge provides the feature to handle MyFaces component properly.</description>
  <shortDescription>MyFaces Bridges</shortDescription>

  <issueTrackingUrl>https://sourceforge.jp/projects/pal/tracker/</issueTrackingUrl>
  <siteAddress>shell.sourceforge.jp</siteAddress>
  <siteDirectory>/home/groups/p/pa/pal/htdocs/bridges-myfaces</siteDirectory>
  <distributionDirectory>/home/groups/p/pa/pal/htdocs/distributions</distributionDirectory>

  <repository>
    <connection>scm:cvs:pserver:anonymous@cvs.sourceforge.jp:/cvsroot/pal:bridges-myfaces</connection>
    <developerConnection>scm:cvs:ext:${maven.username}@cvs.sourceforge.jp:/cvsroot/pal:bridges-myfaces</developerConnection>
    <url>http://cvs.sourceforge.jp/cgi-bin/viewcvs.cgi/pal/bridges-myfaces</url>
  </repository>

  <mailingLists>
    <mailingList>
      <name>CVS Notification List</name>
      <subscribe>http://lists.sourceforge.jp/mailman/listinfo/pal-cvs</subscribe>
      <unsubscribe>http://lists.sourceforge.jp/mailman/listinfo/pal-cvs</unsubscribe>
      <archive>http://lists.sourceforge.jp/mailman/archives/pal-cvs/</archive>
    </mailingList>
  </mailingLists>

  <developers>
    <developer>
      <name>Shinsuke Sugaya</name>
      <id>shinsuke</id>
      <email>shinsuke@users.sourceforge.jp</email>
      <organization>marevol.com</organization>
      <roles>
        <role>Java Developer</role>
      </roles>
      <timezone>+9</timezone>
    </developer>
  </developers>


  <dependencies>
    <dependency>
      <groupId>org.apache.portals.jetspeed-2</groupId>
      <artifactId>jetspeed-api</artifactId>
      <version>${jetspeed.version}</version>
      <type>jar</type>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>
    <dependency>
      <id>jetspeed-header-resource</id>
      <groupId>org.apache.portals.jetspeed-2</groupId>
      <version>${jetspeed.version}</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>

    <dependency>
      <id>servletapi</id>
      <version>2.3</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>
    <dependency>
      <groupId>portlet-api</groupId>
      <artifactId>portlet-api</artifactId>
      <version>1.0</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>

    <dependency>
      <groupId>myfaces</groupId>
      <artifactId>myfaces-all</artifactId>
      <version>1.1.1</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>

    <dependency>
      <groupId>commons-logging</groupId>
      <artifactId>commons-logging</artifactId>
      <version>1.0.4</version>
      <url>http://jakarta.apache.org/commons/logging.html</url>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>
    <dependency>
      <groupId>commons-fileupload</groupId>
      <artifactId>commons-fileupload</artifactId>
      <version>1.0</version>
      <properties>
        <war.bundle>false</war.bundle>
      </properties>
    </dependency>

  </dependencies>

  <build>
    <sourceDirectory>src/java</sourceDirectory>
    <resources>
      <resource>
        <directory>${basedir}/src/java/</directory>
        <includes>
          <include>**/*.properties</include>
        </includes>
        <filtering>false</filtering>
      </resource>
    </resources>
  </build>
  <reports>
    <report>maven-jdepend-plugin</report>
    <report>maven-checkstyle-plugin</report>
    <report>maven-pmd-plugin</report>
    <report>maven-changelog-plugin</report>
    <report>maven-file-activity-plugin</report>
    <report>maven-developer-activity-plugin</report>
    <report>maven-license-plugin</report>
    <report>maven-javadoc-plugin</report>
    <report>maven-jxr-plugin</report>
    <report>maven-junit-report-plugin</report>
    <report>maven-tasklist-plugin</report>
  </reports>
  <properties/>
</project>
